org.keycloak.dom.saml.v2.assertion

## Class SubjectLocalityType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.SubjectLocalityType

- All Implemented Interfaces:
    Serializable

      public class SubjectLocalityType
      extends Object
      implements Serializable

  Java class for SubjectLocalityType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SubjectLocalityType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="Address" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="DNSName" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `address`
    `protected String` | `dnsName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubjectLocalityType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` Gets the value of the address property.
    `String` | `getDNSName()` Gets the value of the dnsName property.
    `void` | `setAddress(String value)` Sets the value of the address property.
    `void` | `setDNSName(String value)` Sets the value of the dnsName property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### address

          protected String address

    - #### dnsName

          protected String dnsName

  - ### Constructor Detail

    - #### SubjectLocalityType

          public SubjectLocalityType()

  - ### Method Detail

    - #### getAddress

          public String getAddress()

      Gets the value of the address property.
      Returns:
        possible object is `String`

    - #### setAddress

          public void setAddress(String value)

      Sets the value of the address property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDNSName

          public String getDNSName()

      Gets the value of the dnsName property.
      Returns:
        possible object is `String`

    - #### setDNSName

          public void setDNSName(String value)

      Sets the value of the dnsName property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2016 JBoss by Red Hat. All rights reserved.